<?php 

namespace Teknisa\DF\Modules\Entrada\Controllers;

/* Bibliotecas */
use NFePHP\NFe\MakeNFe;
use NFePHP\NFe\ToolsNFe;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

/* Classes DF */
use Teknisa\DF\Modules\Entrada\Services\NumeracaoTransmissaoNfeService;

class NumeracaoTransmissaoNfeController {
    
    public function __construct(NumeracaoTransmissaoNfeService $numeracaoTransmissaoNfeService) {
        $this->numeracaoTransmissaoNfeService = $numeracaoTransmissaoNfeService;
        set_time_limit(0);
    }
    
    
    public function getDefaultFilterNumer(Request\Row $request, Response $response) {
        $row = $request->getRow();
        
        $defaultFilter = $this->numeracaoTransmissaoNfeService->getDefaultFilterNumer($row);
        
        $response->addDataset(new \Zeedhi\Framework\DataSource\DataSet('defaultFilter', $defaultFilter));
    }
    
}